Bug 803705 - Export Template fail on destination volume id parameter = 0
Export Template fail on destination volume id parameter = 0
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.1
Assigned To: Yair Zaslavsky
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 09:19 EDT by Ilanit Stein
Modified: 2015-03-04 19:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log, see 2012-03-15 14:03:51,242 (84.65 KB, application/x-compressed-tar)
2012-03-15 09:19 EDT, Ilanit Stein
no flags Details
vdsm log (48.24 KB, application/x-compressed-tar)
2012-03-15 09:20 EDT, Ilanit Stein
no flags Details

  None (edit)
Description Ilanit Stein 2012-03-15 09:19:35 EDT
Created attachment 570291 [details]
engine log, see 2012-03-15 14:03:51,242

Description of problem:

Export Template fail on passing invalid parameter to vdsm:  dstVolUUID=00000000-0000-0000-0000-000000000000 


How reproducible:

always on latest code, failing export Import test, running on Jenkins.

From rhevm.log:
==============
2012-03-15 14:03:51,242 INFO  [org.ovirt.engine.core.bll.ExportVmTemplateCommand] (http--0.0.0.0-8080-3) [5d064d42] Running command: ExportVmTemplateCommand internal: false. Entities affected :  ID: d3c1fdf4-839a-4f01-81b5-9847e1815fea Type: Storage
2012-03-15 14:03:51,255 INFO  [org.ovirt.engine.core.bll.MoveOrCopyImageGroupCommand] (http--0.0.0.0-8080-3) [3fba7cdf] Running command: MoveOrCopyImageGroupCommand internal: true. Entities affected :  ID: d3c1fdf4-839a-4f01-81b5-9847e1815fea Type: Storage
2012-03-15 14:03:51,257 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (http--0.0.0.0-8080-3) [3fba7cdf] START, CopyImageVDSCommand(storagePoolId = 02a7c185-bf02-4dd8-88b5-5274bd49644c, ignoreFailoverLimit = false, compatabilityVersion = 3.0, storageDomainId = 4862741c-e218-436e-91d5-f5230ec5877b, imageGroupId = c2d53d2d-987c-4c19-b494-02f4268c85a2, imageId = 0e224330-f2e2-4478-a022-0486b4ccfa39, dstImageGroupId = c2d53d2d-987c-4c19-b494-02f4268c85a2, vmId = 08891cd6-b97c-4eae-95ec-c660edf40e4d, dstImageId = 00000000-0000-0000-0000-000000000000, imageDescription = , dstStorageDomainId = d3c1fdf4-839a-4f01-81b5-9847e1815fea, copyVolumeType = SharedVol, volumeFormat = COW, preallocate = Sparse, postZero = false, force = false), log id: 5ebbbe17
2012-03-15 14:03:51,257 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (http--0.0.0.0-8080-3) [3fba7cdf] -- CopyImageVDSCommand::ExecuteIrsBrokerCommand: calling 'copyImage' with two new parameters: description and UUID
2012-03-15 14:03:51,258 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.CopyImageVDSCommand] (http--0.0.0.0-8080-3) [3fba7cdf] -- copyImage parameters:^M
                sdUUID=4862741c-e218-436e-91d5-f5230ec5877b^M
                spUUID=02a7c185-bf02-4dd8-88b5-5274bd49644c^M
                vmGUID=08891cd6-b97c-4eae-95ec-c660edf40e4d^M
                srcImageGUID=c2d53d2d-987c-4c19-b494-02f4268c85a2^M
                srcVolUUID=0e224330-f2e2-4478-a022-0486b4ccfa39^M
                dstImageGUID=c2d53d2d-987c-4c19-b494-02f4268c85a2^M
                dstVolUUID=00000000-0000-0000-0000-000000000000^M
                descr=^M

From vdsm log:
=============

ca27fc1d-02b3-4d09-8d36-5bf1c1641b2c::ERROR::2012-03-15 14:03:51,508::task::853::TaskManager.Task::(_setError) Task=`ca27fc1d-02b3-4d09-8d36-5bf1c1641b2c`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 861, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/storage/task.py", line 320, in run
    return self.cmd(*self.argslist, **self.argsdict)
  File "/usr/share/vdsm/storage/securable.py", line 80, in wrapper
    return f(*args, **kwargs)
  File "/usr/share/vdsm/storage/sp.py", line 1618, in copyImage
    volType, volFormat, preallocate, postZero, force)
  File "/usr/share/vdsm/storage/image.py", line 826, in copy
    raise se.CopyImageError("Destination volume %s error: %s" % (dstVolUUID, str(e)))
CopyImageError: low level Image copy failed: ("Destination volume 00000000-0000-0000-0000-000000000000 error: Invalid parameter: 'volUUID=00000000-0000-0000-0000-000000000000'",)
ca27fc1d-02b3-4d09-8d36-5bf1c1641b2c::DEBUG::2012-03-15 14:03:51,510::task::872::TaskManager.Task::(_run) Task=`ca27fc1d-02b3-4d09-8d36-5bf1c1641b2c`::Task._run: ca27fc1d-02b3-4d09-8d36-5bf1c1641b2c () {} failed - stopping task
Comment 1 Ilanit Stein 2012-03-15 09:20:38 EDT
Created attachment 570292 [details]
vdsm log
Comment 2 Yair Zaslavsky 2012-03-15 10:20:25 EDT
fixed at hash -a548529ef804304b9c4f1aef9b8cb251013a0110
change in gerrit:

http://gerrit.ovirt.org/#change,2833
Comment 3 Itamar Heim 2012-08-09 04:03:34 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/
Comment 4 Itamar Heim 2012-08-09 04:04:12 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.